@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100..700;1,100..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');


p,
h1,
h2,
h3,
h4,
h5,
h6 {
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

a{
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

body {
    padding: 0;
    margin: 0%;
}

img {
    user-select: none;
}

header {
    display: grid;
    grid-template-columns: 160px 1fr 204px;
    padding: 0;
    margin: 0;
    margin-left: 40px;
    margin-right: 20px;
    justify-content: space-between;
    align-items: center;
}

.nav-list {
    display: flex;
    flex-direction: row;
    gap: 25px;
    justify-content: center;
    align-items: center;
}

.Thenali {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}

.Thenali p {
    font-family: "Josefin Sans";
    font-weight: bold;
    font-size: x-large;
    color: #0D0E43;
    margin-top: 30px;
}

.nav-list .option {
    cursor: pointer;
}

.nav-listul{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 20px;
}

.nav-listul li{
    cursor: pointer;
}

.nav-listul a{
    font-family: "Lato";
    color: #0D0E43;
    font-size: medium;
    font-weight: 500;
}

.search-bar {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.search-bar .search input {
    border-top: 2px solid #E7E6EF;
    border-left: 2px solid #E7E6EF;
    border-right: 0px;
    border-bottom: 2px solid #E7E6EF;
    box-shadow: none;
    outline: none;
    background-color: #fff;
}

.search-icon {
    height: 31px;
    width: 30px;
    background-color: #FB2E86;
    display: flex;
    justify-content: center;
    align-items: center;
}

.search-bar .search input {
    height: 25px;
}

.search {
    display: flex;
    flex-direction: row;
}

.inner-container-header {
    display: none;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.inner-container-header img {
    width: 25px;
    height: auto;
    cursor: pointer;
    margin-top: 2px;
}

@media (max-width: 1010px) {
    header {
        display: grid;
        grid-template-columns: 100px 1fr 204px;
        padding: 0;
        margin: 0;
        margin-left: 40px;
        margin-right: 20px;
        justify-content: space-between;
    }
}

.sidebar-option {
    position: absolute;
    height: 100vh;
    width: 100vw;
    z-index: 10001;
    top: 0px;
    left: 0px;
    background-color: white;
    display: none;
    flex-direction: column;
}

.sidebar-inner-container {
    width: 100%;
    height: calc(100vh - 73px);
    display: flex;
    align-items: center;
    flex-direction: column;
    z-index: 10;
    background-color: white;
}

.sidebar-options {
    height: 53px;
    width: 100%;
    cursor: pointer;
}

.sidebar-options p {
    font-family: "Lato";
    font-size: medium;
    font-weight: normal;
}

.sidebar-options:first-child p {
    padding-left: 28px;
}

.sidebar-options:nth-child(2) {
    padding-left: 50px;
}

.sidebar-options:nth-child(3) {
    padding-left: 50px;
}

.sidebar-options:nth-child(4) {
    padding-left: 50px;
}

.sidebar-options:nth-child(5) {
    padding-left: 50px;
}

.sidebar-options:nth-child(6) {
    padding-left: 50px;
}


.sidebar-options::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 1px;
    border-top: 1px solid rgb(210, 213, 217, 1);
}

.sidebar-close-btn {
    width: 100%;
    height: 73px;
    display: flex;
    align-items: center;
}

.sidebar-close-btn img {
    width: 25px;
    height: auto;
    cursor: pointer;
    padding-left: 25px;
}

#printers-tab {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.svg-container-s {
    height: 100%;
    display: flex;
    align-items: center;
}

#printers-tab svg {
    cursor: pointer;
    margin-right: 40px;
    width: 20px;
    height: 20px;
}

#accessories-tab {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#accessories-tab svg {
    cursor: pointer;
    margin-right: 40px;
    width: 20px;
    height: 20px;
}

.sidebar-inner-printers {
    display: none;
    flex-direction: column;
}

.sidebar-inner-accessories {
    display: none;
    flex-direction: column;
}

.backbtn-sidebar-inner-printer {
    display: flex;
    flex-direction: row;
    justify-content: start;
    gap: 0px;
}

.backbtn-sidebar-inner-printer p {
    font-family: "Lato";
    font-size: medium;
    font-weight: normal;
}

.backbtn-sidebar-inner-printer::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 1px;
    border-top: 1px solid rgb(210, 213, 217, 1);
}


.backbtn-sidebar-inner-accessories {
    display: flex;
    flex-direction: row;
    justify-content: start;
    gap: 0px;
}

.backbtn-sidebar-inner-accessories p {
    font-family: "Lato";
    font-size: medium;
    font-weight: normal;
}

.backbtn-sidebar-inner-accessories::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 1px;
    border-top: 1px solid rgb(210, 213, 217, 1);
}

.inkprinters,
.tankprinters,
.laserprinters,
.thermalprinters {
    height: 42px;
    width: 100%;
    cursor: pointer;
    display: flex;
    align-items: center;
    position: relative;
    padding-left: 50px;
}

.accessories {
    height: 42px;
    width: 100%;
    cursor: pointer;
    display: flex;
    align-items: center;
    position: relative;
    padding-left: 50px;
}

.accessories p {
    font-family: "Lato";
    font-size: medium;
    font-weight: normal;
}

.accessories::before {
    content: "";
    position: absolute;
    top: 0px;
    left: 48px;
    width: 100%;
    height: 1px;
    border-top: 1px solid rgb(210, 213, 217, 1);
}

.inkprinters p,
.tankprinters p,
.laserprinters p,
.thermalprinters p {
    font-family: "Lato";
    font-size: medium;
    font-weight: normal;
}

.inkprinters::before,
.tankprinters::before,
.laserprinters::before,
.thermalprinters::before {
    content: "";
    position: absolute;
    top: 0px;
    left: 48px;
    width: 100%;
    height: 1px;
    border-top: 1px solid rgb(210, 213, 217, 1);
}

.svg-container-p {
    display: flex;
    align-items: center;
    margin-left: 30px;
}

.svg-container-p svg {
    cursor: pointer;
    width: 20px;
    height: 20px;
}

.svg-container-a {
    display: flex;
    align-items: center;
    margin-left: 30px;
}

.svg-container-a svg {
    cursor: pointer;
    width: 20px;
    height: 20px;
}

.backbtn-line {
    display: flex;
    align-items: center;
}

.bline {
    width: 20px;
    height: 0px;
    transform: rotate(90deg);
    border: 1px solid rgb(210, 213, 217, 1)
}

p,
::placeholder {
    user-select: none;
}

@media (max-width: 885px) {

    #cartbtnsvg{
        display: none;
    }

    .nav-list {
        display: none;
    }

    header {
        grid-template-columns: 1fr;
    }

    .search-bar {
        display: flex;
        flex-direction: row;
        justify-content: start;
        align-items: center;
        cursor: pointer;
    }

    .inner-container-header {
        display: flex;
    }

    .search-icon {
        height: 31px;
        width: 30px;
        background-color: #FB2E86;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .search-bar .search input {
        height: 25px;
        width: 100%;
    }

    .search {
        display: flex;
        flex-direction: row;
        width: 100%;
    }

    header{
        margin-left: 20px;
    }
}


/* Side navbar responsiveness */

ul {
    list-style-type: none;
    padding: 0px;
}


a {
    text-decoration: none;
    color: inherit;
}

.nav-listul li:nth-child(3){
    position: relative;
}

.printers-dropdown{
    position: absolute;
    margin-top: 15px;
    display: none;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    left: -47px;
    z-index: 1000;
    background-color: white;
}

.printers-dropdown li{
    width: 158px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-top: 1px solid rgb(210, 213, 217, 1);
    border-left: 1px solid rgb(210, 213, 217, 1);
    border-right: 1px solid rgb(210, 213, 217, 1);
}

.printers-dropdown li:hover{
    background-color: #E7E6EF;
}

.printers-dropdown li:last-child{
    border-bottom: 1px solid rgb(210, 213, 217, 1);
}

#accessories-d{
    position: relative;
}

.accessories-dropdown{
    position: absolute;
    margin-top: 15px;
    display: none;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    left: -45px;
    z-index: 1000;
    background-color: white;
}

.accessories-dropdown li{
    width: 165px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-top: 1px solid rgb(210, 213, 217, 1);
    border-left: 1px solid rgb(210, 213, 217, 1);
    border-right: 1px solid rgb(210, 213, 217, 1);
}

.accessories-dropdown li:hover{
    background-color: #E7E6EF;
}

.accessories-dropdown li:last-child{
    border-bottom: 1px solid rgb(210, 213, 217, 1);
}

.fas.fa-chevron-down {
    font-size: 13px;
    color: #0D0E43;
}

.message-div{
    position: fixed;
    top: 15px;
    right: 20px;
    padding: 20px;
    color: white;
    background-color: black;
    border-radius: 15px;
    width: auto;
    display: none;
    align-items: center;
    justify-content: center;
}

#cartbtnsvg{
    margin-left: 10px;
    margin-right: 10px;
    margin-top: 3px;
    cursor: pointer;
}